## libejml-java 0.28

=== debian/changelog ===
libejml-java (0.28-1) unstable; urgency=low

  * Initial release (Closes: #805381)

 -- Andreas Tille <tille@debian.org>  Tue, 17 Nov 2015 16:32:53 +0100
