=== debian/rules ===
#!/usr/bin/make -f

# DH_VERBOSE := 1
export JAVA_HOME := /usr/lib/jvm/default-java/

%:
	# dh $@ --buildsystem=gradle --with javahelper ## gradle-debian-helper is not backported to Jessie
	dh $@ --with javahelper

override_dh_auto_build:
	# dh_auto_build -- oneJar ## gradle-debian-helper is not backported to Jessie
	gradle --offline --no-daemon --stacktrace \
	       --gradle-user-home debian/gradle-user-home \
	       oneJar
#	Simply use the provided PDF since this does nothing sensible
#	gradle --offline --no-daemon --stacktrace \
#	       --gradle-user-home debian/gradle-user-home \
#	       javadoc

override_dh_auto_test:
	gradle --offline --no-daemon --stacktrace \
	       --gradle-user-home debian/gradle-user-home \
	       check -x test

override_dh_clean:
	gradle --offline --no-daemon --stacktrace \
	       --gradle-user-home debian/gradle-user-home \
	       clean -x build
	rm -rf .gradle package/lib debian/gradle-user-home
	dh_clean
