=== debian/watch ===
version=3

https://github.com/lessthanoptimal/ejml/releases .*/archive/v(\d[\d.-]+)\.(?:tar(?:\.gz|\.bz2)?|tgz)
