## libejml-java 0.38%2Bds

=== debian/changelog ===
libejml-java (0.38+ds-1) unstable; urgency=medium

  * Team upload.

  [ Andreas Tille ]
  * debhelper 12
  * Standards-Version: 4.3.0
  * Point Vcs-fields to Salsa
  * Secure URI in copyright format
  * Respect DEB_BUILD_OPTIONS in override_dh_auto_test target
  * Remove trailing whitespace in debian/copyright

  [ Vincent Privat ]
  * d/rules: s+gradle+./gradlew+

  [ Andrius Merkys ]
  * New upstream version 0.38+ds (Closes: #929053)
  * Relying on gradle buildsystem to build the package.
  * Listing all the poms and their jars in debian/libejml-java.poms.
  * Removing debian/libejml-java.jlibs, as jars are now installed by
    debian/libejml-java.pom.
  * ManualEJML.pdf is no longer present.
  * Removing all generated java files.
  * Adding README.Debian explaining the missing EjmlVersion.class.

 -- Andrius Merkys <merkys@debian.org>  Tue, 12 Nov 2019 03:44:31 -0500
