## libejml-java 0.38+ds

=== debian/control ===
--- 
+++ 
@@ -1,23 +1,23 @@
 Source: libejml-java
 Maintainer: Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>
-Uploaders: Andreas Tille <tille@debian.org>
+Uploaders:
+ Andreas Tille <tille@debian.org>,
 Section: java
 Priority: optional
-Build-Depends: debhelper (>= 9),
-               javahelper,
-               default-jdk,
-               ant,
-               gradle
-Standards-Version: 3.9.6
-Vcs-Browser: https://anonscm.debian.org/cgit/pkg-java/libejml-java.git
-Vcs-Git: git://anonscm.debian.org/pkg-java/libejml-java.git
+Build-Depends:
+ debhelper (>= 12~),
+ gradle-debian-helper,
+ libauto64fto32f-java,
+ maven-repo-helper,
+Standards-Version: 4.3.0
+Vcs-Browser: https://salsa.debian.org/java-team/libejml-java
+Vcs-Git: https://salsa.debian.org/java-team/libejml-java.git
 Homepage: http://ejml.org/wiki
 
 Package: libejml-java
 Architecture: all
-Depends: ${misc:Depends},
-         ${java:Depends}
-Recommends: ${java:Recommends}
+Depends:
+ ${misc:Depends},
 Description: Efficient Java Matrix Library
  Efficient Java Matrix Library (EJML) is a linear algebra library for
  manipulating dense matrices. Its design goals are;
@@ -37,4 +37,3 @@
  flow styled object-oriented API, inspired by Jama. Equations is a
  symbolic interface, similar in spirit to Matlab and other CAS, that
  provides a compact way of writing equations.
-
