=== debian/rules ===
#!/usr/bin/make -f

# DH_VERBOSE := 1
export JAVA_HOME := /usr/lib/jvm/default-java/

%:
	dh $@ --with maven-repo-helper

override_dh_auto_build:
	dh_auto_build -- autogenerate
	dh_auto_build

override_dh_auto_clean:
	dh_auto_clean
	rm -rf main/ejml-cdense/src main/ejml-cdense/test
	rm -rf main/ejml-fdense/src main/ejml-fdense/test
	rm -f main/ejml-core/src/org/ejml/data/CMatrixD1.java
	rm -f main/ejml-core/src/org/ejml/data/CMatrix.java
	rm -f main/ejml-core/src/org/ejml/data/CMatrixRMaj.java
	rm -f main/ejml-core/src/org/ejml/data/Complex_F32.java
	rm -f main/ejml-core/src/org/ejml/data/ComplexPolar_F32.java
	rm -f main/ejml-core/src/org/ejml/data/FEigenpair.java
	rm -f main/ejml-core/src/org/ejml/data/FGrowArray.java
	rm -f main/ejml-core/src/org/ejml/data/FMatrix1Row.java
	rm -f main/ejml-core/src/org/ejml/data/FMatrix2.java
	rm -f main/ejml-core/src/org/ejml/data/FMatrix2x2.java
	rm -f main/ejml-core/src/org/ejml/data/FMatrix3.java
	rm -f main/ejml-core/src/org/ejml/data/FMatrix3x3.java
	rm -f main/ejml-core/src/org/ejml/data/FMatrix4.java
	rm -f main/ejml-core/src/org/ejml/data/FMatrix4x4.java
	rm -f main/ejml-core/src/org/ejml/data/FMatrix5.java
	rm -f main/ejml-core/src/org/ejml/data/FMatrix5x5.java
	rm -f main/ejml-core/src/org/ejml/data/FMatrix6.java
	rm -f main/ejml-core/src/org/ejml/data/FMatrix6x6.java
	rm -f main/ejml-core/src/org/ejml/data/FMatrixD1.java
	rm -f main/ejml-core/src/org/ejml/data/FMatrixFixed.java
	rm -f main/ejml-core/src/org/ejml/data/FMatrixIterator.java
	rm -f main/ejml-core/src/org/ejml/data/FMatrix.java
	rm -f main/ejml-core/src/org/ejml/data/FMatrixRBlock.java
	rm -f main/ejml-core/src/org/ejml/data/FMatrixRMaj.java
	rm -f main/ejml-core/src/org/ejml/data/FMatrixSparseCSC.java
	rm -f main/ejml-core/src/org/ejml/data/FMatrixSparse.java
	rm -f main/ejml-core/src/org/ejml/data/FMatrixSparseTriplet.java
	rm -f main/ejml-core/src/org/ejml/data/FSubmatrixD1.java
	rm -f main/ejml-core/src/org/ejml/ops/ComplexMath_F32.java
	rm -f main/ejml-core/src/org/ejml/ops/ConvertFArrays.java
	rm -f main/ejml-core/src/org/ejml/ops/ConvertFMatrixStruct.java
	rm -f main/ejml-core/src/org/ejml/ops/MatrixFeatures_F.java
	rm -f main/ejml-core/src/org/ejml/ops/SortCoupledArray_F32.java
	rm -f main/ejml-core/test/org/ejml/data/GenericTestsFMatrixSparse.java
	rm -f main/ejml-core/test/org/ejml/data/TestCMatrixD1.java
	rm -f main/ejml-core/test/org/ejml/data/TestCMatrixRMaj.java
	rm -f main/ejml-core/test/org/ejml/data/TestFGrowArray.java
	rm -f main/ejml-core/test/org/ejml/data/TestFMatrixIterator.java
	rm -f main/ejml-core/test/org/ejml/data/TestFMatrixRBlock.java
	rm -f main/ejml-core/test/org/ejml/data/TestFMatrixRMaj.java
	rm -f main/ejml-core/test/org/ejml/data/TestFMatrixSparseTriplet.java
	rm -f main/ejml-core/test/org/ejml/data/TestFSubmatrixD1.java
	rm -f main/ejml-core/test/org/ejml/ops/TestConvertFArrays.java
	rm -f main/ejml-core/test/org/ejml/ops/TestMatrixFeatures_F.java
	rm -f main/ejml-core/test/org/ejml/ops/TestSortCoupledArray_F32.java
	rm -f main/ejml-experimental/src/org/ejml/dense/row/decomposition/bidiagonal/BidiagonalDecompositionNaive_FDRM.java
	rm -f main/ejml-simple/src/org/ejml/simple/ops/SimpleOperations_CDRM.java
	rm -f main/ejml-simple/src/org/ejml/simple/ops/SimpleOperations_FDRM.java
