## libejml-java 0.41+ds

=== debian/changelog ===
libejml-java (0.41+ds-2) unstable; urgency=medium

  * Team upload.

  [ Andrius Merkys ]
  * Upload to unstable.

  [ Debian Janitor ]
  * Apply multi-arch hints. + libejml-java: Add Multi-Arch: foreign.
  * Trim trailing whitespace.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository-Browse.
  * Update standards version to 4.6.1, no changes needed.

 -- Andrius Merkys <merkys@debian.org>  Wed, 23 Nov 2022 08:30:31 -0500

libejml-java (0.41+ds-1) experimental; urgency=medium

  * Team upload.
  * New upstream version 0.41+ds

 -- Andrius Merkys <merkys@debian.org>  Tue, 08 Nov 2022 07:14:42 -0500

libejml-java (0.39+ds-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 0.39+ds (Closes: #959930)
  * Fix debian/watch.
  * Switch buildsystem from gradle to javahelper.
  * Remove *.java files in debian/clean to not overload debian/rules.
  * Drop patches (no longer needed).
  * Bump debhelper-compat (no changes).

 -- Andrius Merkys <merkys@debian.org>  Tue, 13 Sep 2022 02:06:41 -0400
