=== debian/control ===
--- 
+++ 
@@ -5,11 +5,17 @@
 Section: java
 Priority: optional
 Build-Depends:
- debhelper (>= 12~),
- gradle-debian-helper,
+ debhelper-compat (= 13),
+ default-jdk,
+ javahelper,
+ junit5,
  libauto64fto32f-java,
+ libgeronimo-annotation-1.3-spec-java,
+ libjetbrains-annotations-java,
+ libjsr305-java,
+ liblombok-java,
  maven-repo-helper,
-Standards-Version: 4.3.0
+Standards-Version: 4.6.1
 Vcs-Browser: https://salsa.debian.org/java-team/libejml-java
 Vcs-Git: https://salsa.debian.org/java-team/libejml-java.git
 Homepage: http://ejml.org/wiki
@@ -17,7 +23,9 @@
 Package: libejml-java
 Architecture: all
 Depends:
+ ${java:Depends},
  ${misc:Depends},
+Multi-Arch: foreign
 Description: Efficient Java Matrix Library
  Efficient Java Matrix Library (EJML) is a linear algebra library for
  manipulating dense matrices. Its design goals are;
