=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/pkg-info.mk

export JAVA_HOME = /usr/lib/jvm/default-java
export CLASSPATH = /usr/share/java/auto64fto32f.jar:/usr/share/java/geronimo-annotation-1.3-spec.jar:/usr/share/java/jsr305.jar:/usr/share/java/junit-jupiter-api.jar:/usr/share/java/junit-jupiter-params.jar:/usr/share/java/lombok.jar:/usr/share/java/org.jetbrains.annotations-common.jar:debian/_jh_build.ejml

UPSTREAM_VERSION := $(DEB_VERSION_UPSTREAM:%+ds=%)

%:
	dh $@ --with javahelper

override_dh_auto_build:
	find . -name benchmarks | xargs rm -rf
	echo 'package org.ejml;' > main/ejml-core/src/org/ejml/EjmlVersion.java
	echo 'public class EjmlVersion {' >> main/ejml-core/src/org/ejml/EjmlVersion.java
	echo  public final static String VERSION = '"'$(UPSTREAM_VERSION)'"; }' >> main/ejml-core/src/org/ejml/EjmlVersion.java
	jh_build --no-javadoc --javacopts '-source 11' ejml-autocode.jar main/autocode
	java -cp debian/_jh_build.ejml-autocode:/usr/share/java/auto64fto32f.jar org.ejml.MasterCodeGenerator
	jh_build --no-javadoc --javacopts '-source 11' ejml.jar main
	rm ejml.jar ejml-autocode.jar
	for DIR in main/ejml-*; do jh_build --no-javadoc --javacopts '-source 11' $$(basename $$DIR)-$(UPSTREAM_VERSION).jar $$DIR; ln -s $$(basename $$DIR)-$(UPSTREAM_VERSION).jar $$(basename $$DIR).jar; done
	rm ejml-kotlin.jar # Empty JAR

override_dh_auto_clean:
	dh_auto_clean
	rm -rf main/ejml-cdense/src main/ejml-cdense/test
	rm -rf main/ejml-fdense/src main/ejml-fdense/test
	rm -rf main/ejml-fsparse/src main/ejml-fsparse/test
